Modify

Opened 13 months ago

Closed 13 months ago

Last modified 12 months ago

#16224 closed defect (fixed)

Trouble with EPSG:3006 WMTS service

Reported by: nkamapper Owned by: team
Priority: normal Milestone: 18.04
Component: Core imagery Version:
Keywords: template_report sweden projection Cc: wiktorn

Description

I am having trouble accessing the following WMTS service:
https://api.lantmateriet.se/open/topowebb-ccby/v1/wmts/token/9b342b7d9f12d4ddb92277be9869d860/?request=getcapabilities&service=wmts

After I enter it as a new WMTS layer in the imagery window, JOSM delivers the following error message:
javax.net.ssl.SSLHanshakeException: Remote host closed connection during handshake.

On a different MacBook, where the imagery had already been entered under an earlier JOSM version, no tiles are displayed (never worked).
The imagery works in QGIS, but with a "problem" message

The imagery is listed as EPSG:3.6:3006. There have been reported difficulties in interpreting this service elsewhere but solutions have been found, examples:
https://github.com/BruTile/BruTile/issues/44
https://gis.stackexchange.com/questions/120325/what-is-proper-succession-of-coordinates-while-specifying-topleftcorner-in-tilem

The imagery in question is the only open and official topographic map for Sweden, recently under CC0 license and the best available background map for the country, so it would be great if it would somehow work in JOSM.

Here is the technical information provided (in Swedish, sorry):
https://opendata.lantmateriet.se/api/OpenDataWMTS/v1/TopografiskaWebbkartanOversiktlig_101.pdf

Please provide any additional information below. Attach a screenshot if possible.

URL:https://josm.openstreetmap.de/svn/trunk
Repository:UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Last:Changed Date: 2018-03-26 22:16:39 +0200 (Mon, 26 Mar 2018)
Build-Date:2018-03-26 20:45:23
Revision:13576
Redirecting:to URL 'https://josm.openstreetmap.de/svn/trunk':
Relative:URL: ^/trunk

Identification: JOSM/1.5 (13576 nb) Mac OS X 10.13.4
OS Build number: Mac OS X 10.13.4 (17E199)
Memory Usage: 1473 MB / 3641 MB (1025 MB allocated, but free)
Java version: 1.8.0_161-b12, Oracle Corporation, Java HotSpot(TM) 64-Bit Server VM
Screen: Display 722476178 3008x1692
Maximum Screen Size: 3008x1692
VM arguments: [-Djava.security.policy=file:<java.home>/lib/security/javaws.policy, -DtrustProxy=true, -Djnlpx.home=<java.home>/bin, -Djava.security.manager, -Djnlpx.origFilenameArg=${HOME}/Library/Application Support/Oracle/Java/Deployment/cache/6.0/56/1ee8cfb8-1cbde886, -Djnlpx.remove=false, -Dsun.awt.warmup=true, -Djava.util.Arrays.useLegacyMergeSort=true, -Dmacosx.jnlpx.dock.name=JOSM, -Dmacosx.jnlpx.dock.icon=${HOME}/Library/Application Support/Oracle/Java/Deployment/cache/6.0/16/47ee53d0-54f0b665.icns, -Djnlp.application.href=https://josm.openstreetmap.de/download/josm.jnlp , -Djnlpx.jvm="<java.home>/bin/java"]

Plugins:
+ apache-commons (34109)
+ changeset-viewer (14)
+ conflation (0.5.7)
+ ejml (34126)
+ geojson (80)
+ geotools (34125)
+ imagery-xml-bounds (34109)
+ jts (34038)
+ opendata (34132)
+ reverter (34109)
+ todo (30303)
+ utilsplugin2 (34109)

Tagging presets:
+ https://josm.openstreetmap.de/josmfile?page=Presets/LaneAttributes&zip=1
+ https://raw.githubusercontent.com/OpenNauticalChart/josm/master/INT-1-preset.xml

Map paint styles:
+ https://josm.openstreetmap.de/josmfile?page=Styles/Lane_and_Road_Attributes&zip=1
- https://raw.githubusercontent.com/OpenSeaMap/josm/master/CEVNI_MapCSS.mapcss
- https://raw.githubusercontent.com/OpenSeaMap/josm/master/INT1_Seamark.mapcss

Last errors/warnings:
- W: No configuration settings found.  Using hardcoded default values for all pools.
- W: javax.net.ssl.SSLHandshakeException: Remote host closed connection during handshake. Årsak: java.io.EOFException: SSL peer shut down incorrectly

Attachments (1)

16224.png (2.1 MB) - added by Don-vip 13 months ago.

Change History (15)

comment:1 Changed 13 months ago by nkamapper

Possibly related to #11701

comment:2 Changed 13 months ago by Don-vip

Keywords: sweden projection added

comment:3 Changed 13 months ago by Don-vip

Milestone: 18.04

comment:4 Changed 13 months ago by Don-vip

Linked to r8584. Not all swedish projections have been defined.

comment:5 Changed 13 months ago by Don-vip

Resolution: fixed
Status: newclosed

In 13684/josm:

fix #16224 - update definition of SWEREF99 projections for Sweden

Changed 13 months ago by Don-vip

Attachment: 16224.png added

comment:6 Changed 13 months ago by Don-vip

The map is nice :)


comment:7 Changed 13 months ago by nkamapper

Thank you for the rapid response. Will include the map in Maps/Sweden when the fix is live in the stable version.

comment:8 Changed 13 months ago by nkamapper

Would it be possible to define the relevant map layer in Maps to get direct access to that WMTS layer without choosing it every time in the menu?
Like WMS without wms_endpoint.

comment:9 Changed 13 months ago by Don-vip

Cc: wiktorn added

comment:10 in reply to:  8 ; Changed 13 months ago by Don-vip

Replying to nkamapper:

Would it be possible to define the relevant map layer in Maps to get direct access to that WMTS layer without choosing it every time in the menu?
Like WMS without wms_endpoint.

@wiktorn: is this what you're working on?

comment:11 in reply to:  7 Changed 13 months ago by Don-vip

Replying to nkamapper:

Thank you for the rapid response. Will include the map in Maps/Sweden when the fix is live in the stable version.

You can already add it, no need to wait. The stable is expected very soon anyway.

comment:12 in reply to:  10 Changed 13 months ago by wiktorn

Replying to Don-vip:

Replying to nkamapper:

Would it be possible to define the relevant map layer in Maps to get direct access to that WMTS layer without choosing it every time in the menu?
Like WMS without wms_endpoint.

@wiktorn: is this what you're working on?

Correct, that's what I'm working on. I hope to get this finished in May.

comment:13 Changed 12 months ago by wiktorn

In 13733/josm:

Imagery definition refactor

Extend imagery definitions by:

  • allowing setting default layers for WMS_ENDPOINT and WMTS
  • allowing setting minimum expires time for tile for this imagery
  • allowing setting custom headers that will be sent for all requests

(get map, get capabilities) for this imagery

Additional changes in code:

  • use TileJobOptions to pass miscellaneous options to loaders
  • refactor WMSImagery to use SAX parser

See: #15981, #7953, #16224, #15940, #16249

comment:14 Changed 12 months ago by wiktorn

In 13734/josm:

GUI for imagery definitions refactor

Extend preferences panel by:

  • allowing setting default layers for WMS / WMTS
  • allowing setting minimum expires (expert mode)
  • allowing setting custom headers (expert mode)

See: #15981, #7953, #16224, #15940, #16249

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain team.
as The resolution will be set.
The resolution will be deleted.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.